<?php

namespace Drupal\cortex_general_settings\Config;

use Drupal\Core\Cache\CacheableMetadata;
use Drupal\Core\Config\ConfigFactoryOverrideInterface;
use Drupal\Core\Config\StorageInterface;

/**
 *
 */
class CortexGeneralSettingsOverrides implements ConfigFactoryOverrideInterface {

  /**
   * {@inheritdoc}
   */
  public function loadOverrides($names) {
    $overrides = [];

    /*$config = array_filter($names, function ($name) use (&$overrides) {
    if (strpos($name, 'cortex_general_settings') !== FALSE) {
    if ($state = \Drupal::state()->get($name)) {
    $overrides[$name] = $state;
    }
    }
    });*/

    return $overrides;
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheSuffix() {
    return 'CortexGeneralSettingsOverrides';
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheableMetadata($name) {
    return new CacheableMetadata();
  }

  /**
   * {@inheritdoc}
   */
  public function createConfigObject($name, $collection = StorageInterface::DEFAULT_COLLECTION) {
    return NULL;
  }

}
